PDA

View Full Version : Corrupted storable file (binary v2.6) at blib/lib/Storable.pm



Steph Smith
2004-12-08, 20:03
I'm trying to run SlimServer 5.4.0 (Perl source) on a gentoo box. I've
extracted the tarball, and started the script as follows:

./slimserver.pl --logfile /tmp/slimserver.log --daemon

however, it won't start. The following gets logged:

Corrupted storable file (binary v2.6) at blib/lib/Storable.pm (autosplit
into blib/lib/auto/Storable/_retrieve.al) line 323, at (eval 19) line 65

My Storable.pm (2.07-r1) was initially installed via portage. Noticing that
CPAN had a more up to date version available (2.13), I tried installing that
instead. However, with the exception of new line/eval numbers, the error
is the same:

Corrupted storable file (binary v2.6) at blib/lib/Storable.pm (autosplit
into blib/lib/auto/Storable/_retrieve.al) line 328, at (eval 20) line 65

At which point, I'm stumped. If anyone's encountered this problem
before, or has a suggestion on what I might try next, it would be
greatly appreciated!

I've also tried running SlimServer 5.1.1, which generates the same
error:

Corrupted storable file (binary v2.6) at blib/lib/Storable.pm (autosplit
into blib/lib/auto/Storable/_retrieve.al) line 328, at (eval 18) line 22


Best Regards,

Steph

--
Ambition is a poor excuse for not having sense enough to be lazy.
-- Charlie McCarthy